Subject: Re: [xml2rfc] Error Question

From: "Russ White" <[email-masked]>
Date: Sat, 9 Jul 2016 14:35:05 -0400

Nevermind -- I found it... It was, in fact, a stray character inserted by
google docs. I just removed large parts of text 'til it would go past this,
and hence figured out which line of text it was embedded in.

:-)

Russ

> -----Original Message-----
> From: Russ White [mailto:[email-masked]]
> Sent: Saturday, July 9, 2016 1:03 PM
> To: [email-masked]' <[email-masked]>
> Subject: Error Question
> 
> Y'all --
> 
> I'm getting the error:
> 
> Traceback (most recent call last):
>   File "/usr/local/bin/xml2rfc", line 9, in <module>
>     load_entry_point('xml2rfc==2.5.1.dev0', 'console_scripts',
'xml2rfc')()
>   File "/usr/local/lib/python2.7/dist-packages/xml2rfc-2.5.1.dev0-
> py2.7.egg/xml2rfc/run.py", line 151, in main
>     xmlrfc = parser.parse()
>   File "/usr/local/lib/python2.7/dist-packages/xml2rfc-2.5.1.dev0-
> py2.7.egg/xml2rfc/parser.py", line 451, in parse
>     xml2rfc.log.warn("Parsing Error: %s" % e)
> UnicodeEncodeError: 'ascii' codec can't encode character u'\u2192' in
position
> 28: ordinal not in range(128)
> 
> Followed by "The file is not there..." I suspect there's some "nonascii"
or
> some "weird ascii" in the file I'm trying to parse, but I don't know how
to go
> about finding it based on this error. I'm normally editing in Notepad++,
but
> this document did start as a google docs file. In the middle, I created a
new
> txt file and copied the contents over just to make certain it wasn't
anything
> obvious with the file itself. Any ideas?
> 
> BTW, please keep me in the cc -- I'm not on the mailing list right this
> moment...
> 
> Thanks!
> 
> :-)
> 
> Russ